# NodeError

Custom error class for node-related errors, including stack trace information.

## Constructor

### new NodeError()

## Properties

### .name : string

The name of the error.

### .stackTrace : StackTrace

The stack trace associated with the error.

## Source

[src/nodes/core/NodeError.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/core/NodeError.js)